texmath-0.12.8.13: Conversion between math formats.

Safe Haskell | None
Language | Haskell2010

Text.TeXMath.Writers.TeX

Synopsis

- writeTeX :: [Exp] -> Text
- writeTeXWith :: Env -> [Exp] -> Text
- addLaTeXEnvironment :: DisplayType -> Text -> Text

# Documentation

writeTeX :: [Exp] -> Text #

Transforms an expression tree to equivalent LaTeX with the default packages (amsmath and amssymb)

writeTeXWith :: Env -> [Exp] -> Text #

Transforms an expression tree to equivalent LaTeX with the specified packages

addLaTeXEnvironment :: DisplayType -> Text -> Text #

Adds the correct LaTeX environment around a TeXMath fragment